{{ define "main" }}
  
  {{ $currentTitle := .Scratch.Get "currentTitle" }}
  
  <!-- Collect pages using the "search" layout -->
  {{ $searchPages := where .Site.RegularPages "Layout" "eq" "search" }}

  <main class="list">

    <!-- Display search form before listing posts -->
    {{ if and .Site.Params.Search.enable (gt (len $searchPages) 0) (eq .Kind "section") }}
      {{ partialCached "search-form" . .Layout }}
    {{ end }}
    
    <h1>{{ $currentTitle }}</h1>
    
    {{ if eq .Kind "taxonomy" }}
      {{ if eq .Type "categories" }}
        {{ partialCached "categories" . }}
      {{ else if eq .Type "tags" }}
        {{ partialCached "tags" . }}
      {{ end }}
    {{ else }}

      {{ partial "post-list" . }}
      {{ partial "pagination" . }}

    {{ end }}

  </main>
  
{{ end }}

{{ define "svg-extra" }}
  <symbol viewBox="0 0 256 512" id="angle-right">
    <path d="M224.3 273l-136 136c-9.4 9.4-24.6 9.4-33.9 0l-22.6-22.6c-9.4-9.4-9.4-24.6 0-33.9l96.4-96.4-96.4-96.4c-9.4-9.4-9.4-24.6 0-33.9L54.3 103c9.4-9.4 24.6-9.4 33.9 0l136 136c9.5 9.4 9.5 24.6.1 34z"/>
  </symbol>

  <symbol viewBox="0 0 448 512" id="angle-double-right">
    <path d="M224.3 273l-136 136c-9.4 9.4-24.6 9.4-33.9 0l-22.6-22.6c-9.4-9.4-9.4-24.6 0-33.9l96.4-96.4-96.4-96.4c-9.4-9.4-9.4-24.6 0-33.9L54.3 103c9.4-9.4 24.6-9.4 33.9 0l136 136c9.5 9.4 9.5 24.6.1 34zm192-34l-136-136c-9.4-9.4-24.6-9.4-33.9 0l-22.6 22.6c-9.4 9.4-9.4 24.6 0 33.9l96.4 96.4-96.4 96.4c-9.4 9.4-9.4 24.6 0 33.9l22.6 22.6c9.4 9.4 24.6 9.4 33.9 0l136-136c9.4-9.2 9.4-24.4 0-33.8z"/>
  </symbol>
{{ end }}
